%global base_name       pool
%global short_name      commons-%{base_name}

Name:             apache-%{short_name}
Version:          1.6
Release:          %mkrel 23
Group:            Development/Java
Summary:          Apache Commons Pool Package
License:          ASL 2.0
URL:              https://commons.apache.org/%{base_name}/
BuildArch:        noarch

Source0:          https://www.apache.org/dist/commons/%{base_name}/source/%{short_name}-%{version}-src.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)

%description
The goal of Pool package is it to create and maintain an object (instance)
pooling package to be distributed under the ASF license. The package should
support a variety of pool implementations, but encourage support of an
interface that makes these implementations interchangeable.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src

# Compatibility links
%mvn_alias : org.apache.commons:%{short_name}
%mvn_file : %{short_name} %{name}

%build
%mvn_build -- -Dcommons.packageId=pool

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc README.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.6-23.mga10
+ Revision: 2223118
- Mageia 10 Mass Rebuild

* Tue May 21 2024 ns80 <ns80> 1.6-22.mga10
+ Revision: 2065601
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.6-21.mga9
+ Revision: 1827512
- Mageia 9 Mass Rebuild

* Sun Aug 23 2020 neoclust <neoclust> 1.6-20.mga8
+ Revision: 1618255
- Fix build against java11

* Sat Feb 15 2020 umeabot <umeabot> 1.6-19.mga8
+ Revision: 1527540
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 1.6-18.mga8
+ Revision: 1422301
- Rebuild to regenerate OSGi metadata

* Tue Sep 18 2018 umeabot <umeabot> 1.6-17.mga7
+ Revision: 1261667
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.6-16.mga7
+ Revision: 1260182
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.6-15.mga7
+ Revision: 1259861
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 1.6-14.mga6
+ Revision: 1101238
- Regenerate build-requires

* Wed Mar 02 2016 neoclust <neoclust> 1.6-13.mga6
+ Revision: 981838
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1.6-12.mga6
+ Revision: 975478
- First rebuild of the java stack
- sync package apache-commons-pool with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6-10.mga5
+ Revision: 743163
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-9.mga5
+ Revision: 677822
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 dmorgan <dmorgan> 1.6-8.mga5
+ Revision: 630550
- Build with xmvn

* Sat Oct 19 2013 umeabot <umeabot> 1.6-5.mga4
+ Revision: 534543
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 dmorgan <dmorgan> 1.6-4.mga4
+ Revision: 478219
- Add missing maven-local BR

* Mon Jul 08 2013 dmorgan <dmorgan> 1.6-3.mga4
+ Revision: 451210
- Install NOTICE file with javadoc package

* Fri Jan 11 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 345818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 1.6-1.mga3
+ Revision: 267907
- New version

* Mon Jun 25 2012 dmorgan <dmorgan> 1.5.6-4.mga3
+ Revision: 263663
- Adapt to new guidelines

* Wed Apr 27 2011 dmorgan <dmorgan> 1.5.6-2.mga1
+ Revision: 92246
- Rebuild after bootstrapping
- imported package apache-commons-pool


* Fri Apr 15 2011 Chris Spike <spike@fedoraproject.org> 1.5.6-1
- Updated to 1.5.6
- Fixed build for maven 3

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 9 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-4
- Removed maven* BRs in favour of apache-commons-parent
- Added deprecated groupId to depmap for compatibility reasons

* Mon Oct 18 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-3
- Removed Epoch

* Tue Oct 5 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-2
- Consistently using 'buildroot' macro instead of 'RPM_BUILD_ROOT' now

* Fri Oct 1 2010 Chris Spike <spike@fedoraproject.org> 1.5.5-1
- Rename and rebase from jakarta-commons-pool
